using System.Collections.Generic;

namespace ProjectKraehwinkel
{
    enum Konstanten
    {
        Miete = 20
    }
    
    //Eigentliche Verwaltungsklasse
    class Stadt
    {
        //Gebäude die die Stadt besitzt
        public List<Gebaeude> Haeuser;

        //Bürger in der Stadt
        public List<Buerger> Oberschicht;

        //Volk als Grundlast
        int Volk;

        public Player spieler;

        public Markt markt;

        public Stadt(int volk)
        {
            Volk = volk;
            markt = new Markt();
            Haeuser = new List<Gebaeude>();
            Oberschicht = new List<Buerger>();
            spieler = new Player();
        }

        public void RundeBeenden()
        {
            //Zuerst Grundlast berechnen
            // Bedarf, Preise, Lager etc.
            markt.BedarfAbziehen(Volk);
            markt.fluktuation();
            
          /*  foreach (Gebaeude Haus in Haeuser)
            {
                Haus.Rundebeenden(markt);
            } */

            foreach (Buerger guy in Oberschicht)
            {
                guy.Rundebeenden(markt);
            }

            markt.Preiseberechnen(Volk);
            spieler.Rundebeenden(markt);
            
            //Dann eigene Gebäude durchgehen

            //Dann für jedes Item in Buergerliste Runde beenden
        }

    }
}
